#
# spec file for package xroach
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xroach
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
Version:        12.6.97
Release:        bp156.3.5
Summary:        Some cockroaches on your root window
License:        GPL-2.0+
Group:          Amusements/Toys/Background
Source:         %{name}.tar.bz2
Source1:        toon_root.c
Source2:        README.SUSE
Patch:          xroach.dif
Patch1:         xroach-return.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define _xorg7libs %_lib
%define _xorg7libs32 lib
%define _xorg7bin bin
%define _xorg7_mandir %_mandir
%define _xorg7pixmaps include
%define _xorg7libshare share
%define _xorg7_xkb /usr/share/X11/xkb
%define _xorg7_termcap /usr/lib/X11/etc
%define _xorg7_serverincl /usr/include/xorg
%define _xorg7_fonts /usr/share/fonts
#define _xorg7_config /usr/share/X11/config #use libshare macro
%define _xorg7_prefix /usr

%description
Xroach displays disgusting cockroaches on your root window. These
creepy crawlies scamper around until they find a window to hide under.
Whenever you move or iconify a window, the exposed orthopteras again
scamper for cover.

%prep
%setup -q -n xroach
%patch
%patch1
cp %{S:1} %{S:2} .

%build
export CFLAGS="$RPM_OPT_FLAGS"
xmkmf -a
make %{?jobs:-j%jobs}

%install
make DESTDIR="$RPM_BUILD_ROOT" install
make DESTDIR="$RPM_BUILD_ROOT" install.man

%files
%defattr(-,root,root)
%doc README.SUSE
/usr/%{_xorg7bin}/xroach
%doc %{_xorg7_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Nov 14 2017 dimstar@opensuse.org
- Rename README.SuSE to README.SUSE, adhering to the correct
  spelling.
* Wed Oct  1 2014 crrodriguez@opensuse.org
- Pull only x11 and xext, not xorg-x11-devel
* Tue Mar 27 2012 cfarrell@suse.com
- license update: GPL-2.0+
  See toon_root.c
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Fri Jul 28 2006 lmichnovic@suse.cz
- builds also with new X.org 7.x, detecting prefix in X.org
- building with icecream
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Apr  7 2005 coolo@suse.de
- fix gcc4 warnings
* Fri Jun 25 2004 hmacht@suse.de
- building as non-root user
* Tue May 18 2004 ltinkl@suse.cz
- fix return values
- use RPM_OPT_FLAGS
- repackage to tar.bz2
* Wed Nov 28 2001 cihlar@suse.cz
- fixed to work under KDE - fix based on xpenguins
- added README.SuSE
* Wed Nov 22 2000 cihlar@suse.cz
- fixed copyright
* Fri May 19 2000 cihlar@suse.cz
- Group sorted
* Fri Mar 10 2000 cihlar@suse.cz
- removed makefile.linux
- added BuildRoot to spec file
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 12 1997 rj@suse.de
- new package (06/12/1997)
